## Class TApplicationStatePersister

Description

Implements interfaces:

- IStatePersister

TApplicationStatePersister class.

TApplicationStatePersister provides a file-based persistent storage for application state. Application state, when serialized, is stored in a file named 'global.cache' under the 'runtime' directory of the application. Cache will be exploited if it is enabled.

- since: 3.0
- version: $Id: TApplication.php 2244 2007-09-26 13:15:56Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /TApplication.php (line 1491)

    TComponent
       |
       --TApplicationComponent
          |
          --TModule
             |
             --TApplicationStatePersister

Class Constant Summary
CACHE_NAME = 'prado:appstate'
Method Summary
string getStateFilePath ()
void init (TXmlElement $config)
mixed load ()
void save (mixed $state)
Methods
getStateFilePath (line 1510)

- return: the file path storing the application state
- access: protected

string getStateFilePath ()
init (line 1502)

Initializes module.

- access: public

void init (TXmlElement $config)

- TXmlElement $config: module configuration (may be null)

Redefinition of:

TModule::init()
  Initializes the module.

load (line 1519)

Loads application state from persistent storage.

- return: application state
- access: public

mixed load ()
save (line 1536)

Saves application state in persistent storage.

- access: public

void save (mixed $state)

- mixed $state: application state

#### Inherited Methods

Inherited From TModule

> TModule::getID()
> TModule::init()
> TModule::setID()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants
CACHE_NAME = 'prado:appstate' (line 1496)

Name of the value stored in cache

Documentation generated on Mon, 21 Apr 2008 11:30:28 -0400 by phpDocumentor 1.3.0RC4